Subject: bug#38025: 26.1; tramp-unload-tramp renders Emacs completely unresponsive

From: Michael Albinus <[email-masked]>
Date: Sat, 02 Nov 2019 10:09:39 +0100

Markus Triska <[email-masked]> writes:

Hi Markus,

> On OSX, when I start Emacs with:
>
>     $ emacs -Q
>
> and then log in to a remote Debian server "s" via:
>
>     C-x C-f /-:s: RET
>
> it works as expected. However, when I then do:
>
>     M-x tramp-unload-tramp RET
>
> then Emacs hangs and no longer reacts to anything, not even to C-g.
>
> Can you reproduce this? Thank you!

Yep, I can reproduce it locally. As said the other message, you don't
need this usually.

tramp-test.el runs tramp-test45-unload succesfully. But this test case
does not open a remote connection first.

I will try to fix this bug, and to extend tramp-test45-unload
respectively. Experience shows that testing Tramp unload will take time.

Best regards, Michael.